      SUBROUTINE FHARM(X,P,NP)
      implicit real*8 (a-h,o-z)
      implicit integer*4 (i-n)
      real*8 k(3)
      DIMENSION P(NP)
      data k/4.D0,24.D0,36.D0/
      twopi=6.28318531D0       
c
      P(1)=1.D0
      DO 11 J=2,NP,2
       p(j)  =sin(x/k(j/2)*twopi)
       p(j+1)=cos(x/k(j/2)*twopi)
11    CONTINUE
      RETURN
      END
